commit:     79f0c13f86c0a567dc5616ea6be7fbf5afd40476
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 20 11:29:15 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov 20 11:29:21 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79f0c13f

dev-python/cryptography: Version Bump

Package-Manager: portage-2.2.25
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/cryptography/Manifest                  |  1 +
 dev-python/cryptography/cryptography-1.1.1.ebuild | 48 +++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index 0c9b5e0..a960f6a 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -1,2 +1,3 @@
 DIST cryptography-1.0.2.tar.gz 332870 SHA256 
d64cd491e91ddf642c643bea16532c2a2da2da054cca6df756edadd55a8bacca SHA512 
f266fbee6ab06ed6a552599dffe6d3e959dd858e6be7b81c0d4489c384fbb2b5de5ecf4f1e43e1dacbaa6ddefd1562f10961caec73cb3ed256faa03a5d4eff85
 WHIRLPOOL 
ba8c13df5c58ab551f43ddf51cde8e85835a06eda83e5a5039e32308431b6f365692b01ea343adba6fcafe80d045a04b8ef37324e5bf1ada0adef10752f1e321
+DIST cryptography-1.1.1.tar.gz 348988 SHA256 
2912923af7455fb2d2439a037242507c12caece7dd6659d62fa82a61edb2bae0 SHA512 
d23b755cd57dfd983069c9ea8d8bb6f8ff6a1ef5a874de783a3686ec9ec9141f67f83956e676929188f93a1cca191a05f5172d94005ec38a8200f5d55bbfb1a7
 WHIRLPOOL 
829a5525de38712e0f155c2f22ce730ad33100b042ae905cf92897c2cbeda3026c97f1477bdd43cc191a4340d1993a03f26643e2493a1694b63a897143a227b9
 DIST cryptography-1.1.tar.gz 348676 SHA256 
059bc6428b1d0e2317f505698602642f1d8dda5b120ec573a59a430d8cb7a32d SHA512 
8d5b5ac7cc2dcf7271dcd85c65c42cd815b95ec8502864da1b7c32c4a5905ecc6ae45f54d11e7b539d9ddf10d8bd3de9f40233c0b3cbdd1132b2ffbd4ebb318f
 WHIRLPOOL 
0f154e624a51ebbc342ea082fc00a66b21024c81f3265e7d0e22e089afc5e83dcfe2857113d911db3a8e253d6fe93413ff94b91a83e97fd9405c3f08becc8a03

diff --git a/dev-python/cryptography/cryptography-1.1.1.ebuild 
b/dev-python/cryptography/cryptography-1.1.1.ebuild
new file mode 100644
index 0000000..eff2cad
--- /dev/null
+++ b/dev-python/cryptography/cryptography-1.1.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ 
https://pypi.python.org/pypi/cryptography/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="libressl test"
+
+RDEPEND="
+       !libressl? ( dev-libs/openssl:0 )
+       libressl? ( dev-libs/libressl )
+       $(python_gen_cond_dep '>=dev-python/cffi-1.1.0:=[${PYTHON_USEDEP}]' 
'python*')
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 
python3_3 pypy)
+       >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.8[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=virtual/pypy-2.6.0' pypy )
+       virtual/python-ipaddress[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/iso8601[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+       py.test -v -v -x || die "Tests fail with ${EPYTHON}"
+}

Reply via email to